(2004 11 29)
	- showimg-0.9.4 released.

(2004 11 22)
	- showimg-0.9.4 rc2 released,
	- code cleaned and fixed according to
	  http://www.icefox.net/kde/tests/report.html,
	- orientation EXIF tag used,
	- bugs fixed ('better' refresh when archive files are created with
	  external programs, the KURL paths when files are moved/copied are
	  fixed, mime-type for xcf files fixed, embeded EXIF thumbails are
	  generated even if thumbnails are not stored, rigth dimension for
	  cached thumbnails used, improved speed for rotation/flip 
	  operations (2160x1440 0.9.3: ~9sec, 0.9.4: <1sec) ).
	

(2004 11 14)
	- showimg-0.9.4 rc1 released.

(2004 11 08)
	- code fixed according to http://www.icefox.net/kde/tests/report.html
	
(2004 10 28)
	- embedded EXIF thumbnail can be (re)generated,
	- EXIF orientation can be changed.

(2004 10 25)
	- 'file:' protocole fixed (use 'file://localhost/my/path/myfile', see
	  http://freedesktop.org/Main/Draganddropwarts),
	- bug fixed: environment variable names in the Location bar parsed.

(2004 10 20)
	- numerous layouts added, 'zoom' combobox added,
	- 'LICENCE.EXC' added, 
	- compile fixes for win32,
	- '#ifndef Q_WS_WIN' added,
	- things like 'konq operations' temporary disabled,
	- i18n style guide fixes,
	- configure.in.in: not used and not part of our minimum requirement
	  autoconf 2.52
	- 'Strange window resisizing problem' fixed!,
	- compilation bugs fixed with kipi,
	- bugs fixed.
 
(2004 09 13)
	- 'go to next/previous directory' action added,
	- operations (clear/update) chached thumbnails added,
	- bugs fixed and code cleaned (QProcessesDialog replaced by
	  KProcessesDialog, ...).
	

(2004 09 08)
	- 'EXIF preview displayed' added,
	- 'force thumbnail' generation added (usefull if image is different 
	  from its embeded EXIF preview),
	- 'i18n's added,
	- QSting ascii method replaced by QFile::encodeName,
	- bug fixed in main.cpp.

(2004 09 06)
	- thumbnails are now stored in ~/.thumbnails/ directory,
	- 'days of week' translated,
	- showimg does not freeze when there are a lot of small thumbnail to
	  generate,
	- new icons for 'layouts' (thnaks Aewyn),
	- network tranparency to showimgpart added (thanks OGINO Tomonori).

(2004 09 02)
	- the displayed date is the 'CreationDate' EXIF tag,
	- 'sort by path and name' added,
	- bugs fixed (the 'batch rename' feature use the current order, ...),
	- repetitions between kipi-plugins and showimg features removed,
	- code cleaned.

(2004 08 27)
	- bugs fixed (including when user drag'n'drop and several directories
	  are selected).
	
(2004 08 26)
	- 'batch rename' now can use EXIF meta-information for renaming (thanks
	  Dominik Seichter for krename, www.krename.net/) and date/time format
	  can be choosed (see
	  http://ric.jalix.org/misc/showimg-0.9.4-20040826-batchRename.png),
	- scroll image with mouse wheel added (press 'middle button' then use
	  wheel),
	- bugs in 'tmp' directories fixed,
	- other bugs fixed (as usual... :)

(2004 08 23)
	- kexif dialog added,
	- 'image meta information' panel re-looked,
	- bug with 1x?? and ??x1 image size fixed,
	- bugs in CD Archive browsing/creation fixed,
	- bugs in slideshow fixed,
	- bugs 'convert format' dialog fixed.
	
(2004 08 17)
	- 'cd archive' feature added,
	- kipi plugin support added,
	- a panel with EXIF data added,
	- 'checkboxes' in directory view added,
	- ability to choose the position of the displayed image,
	- ability to choose external program paths,
	- archive without a 'good' extension can be browsed,
	- kpart support added,
	- bug fixed when a 'big' directory is loaded (1.000 images 0.9.3:
	  5.30minutes, 0.9.4: ~2sec),
	- bugs fixed (as usual... :)

Version 0.9.3: Minor bug fixed and feature enhancements
(2004 07 06)
	- fix bugs with special chars in folder name,
	- new translations and documentations,
	- archive support improved (thanks ogino),
	- some compilation rules fixed (thanks willem),
	- code cleaned.

(2004 05 25)
	- more data under thumbnails,
	- files and directories sorted using numeric order,
	- 'store thumbnails' added,
	- icons added,
	- code cleaned.

(2004 04 19)
	- bugs fixed with kde 3.2.x (as the 'open with' bug).

Version 0.9.2: Minor bug fixed
(2004 03 23)
	- option 'open image in fullscreen mode' added.

(2004 03 13)
	- 'tip of day' added,
	- bug fixed (pb with file containaing '#, '%', ... solved, ...).

Version 0.9.1: Minor bug fixed
(2004 03 09)
	- the list of image formats supported comes from KDE's image types,
	- register the ".sia" file format as a mimetype with KDE - and associate
		Showimg with this,
	- translations updated and 'polish' added,
	- bug fixed ('forward' action enabled in fullscreenmode).

TODO:
	- use $KDEHOME/share/apps/showimg instead of $HOME/.showimg,
	- use $HOME/.thumbnails instead of$HOME/.showimg/cache,
	- The ".." in the thumbnail view doesn't seem to honour KDE's
	  single/double click settings,
	- make "albums" appearing in the iconview.

Version 0.9.0: Minor bug fixed
(2004 02 12)
	- bugs fixed.

(2004 02 01)
	- can load a file from an URL with http protocol (by guillaume)

(2004 02 10):
	- 'gray scale' added in the 'effects' menu (effect configuration in
	  'configure showimg),
	- a hidden directory selected from the bookmarks or from the 'location'
	  toolbar is now opened
		even if 'show hidden direcories' is not checked,
	- 'same album added several times' in digikam plugins bug fixed,
	- 'move/copy files/directories' open last selected directory,
	- files are pre-loaded only if it's an image...,
	- files are pre-loaded and 'hexadecimal' property displayed only if the
	  size is less than 2Mb,
	- thumbnails are arranged more properly,
	- no more flickering when toggling (specially returning from) fullscreen
	  mode,
	- 'Save As...' added in order to the save the current displayed image,
	- bug fixed when 'use single click',
	- all zoom feaures added in a new separated toolbar (icons added),
	- bugs fixed when displayed image is rotated,...,
	- some actions renamed (Directory->New directory, Album->New, album,
	  Wallpaper->Set wallpaper, ...),
	- 'orientation' menu added in the image menu,
	- new shortcuts to toggle fullscreen (ctrl+enter and ctrl+F),
	- Shift+Wheel down should enlarge picture.

TODO:
	- configurable zoom factor,
	- Wrap around is ignored for Slide show and its setting is not
	  remembered,
	- Having configurable effect filters.
	
	
(2004 02 04):
	- typo corrections from KDE proofreaders (by jriddell).
	
	
(2004 02 03):
	- 'refresh' bugs fixed, 
	- automatic selection of an image from the URL bar.

	
(2004 01 17):
	-"refresh" bug fixed, "look'n'feel" bugs fixed

	
(2004 01 26):
	- digikam plugins supported (see INSTALL)

	
(2004 01 05):
	- layouts added!!!,
	- the 'removed' checkboxes deleted
	- code cleaned, 
	- the 'kactions' are enabled/disabled and renamed according to the type
	  of directoty/album/archive you are, 
	- menus have been cleaned and a new one has been added, 
	- the dialog displaying identicals files has been removed (for the
	  moment) but you can copy/move	directories too, 
	- 'paste' fixed, 
	- pb with the QString formats fixed,
	- 'fit to width' and 'height' are toggle functions, 
	- bugs fixed when window is resized,
	- the children of a directory are updated when it's renamed, 
	- 'refresh' function updated and add the new directories in the
	  treeview, 
	- 'createDir' and 'createAlbum' fixed
	- URL toolbar added, 
	- new albums are automaticaly added in the bookmarks,
	- QString pbs fixed (files with special chars can be renamed/moved,
	  ...),
	- bugs with specials chars fixed,
	- Disambiguate log(2) (by adridg),
	- Compile fix for FreeBSD (which wants sys/types.h before utime.h) 
	  (by lauri)
	
	
(2003 12 26):
	- make it compile (by mueller),
	- include mocs (by mlaurent),
	- fixing install rule (by coolo).

	
Version 0.8.1: Minor feature enhancements
(2003 11 28)
	- ``open with'' menu improved,
	- translations updated,
	- bugs fixed,
	- re-organistion of the source directories (thanks Guillaume about the
	  TIFF problem),
	- a part of the source code cleaned.
	
	- TODO: update the QString/char* cast in order to compile with kde3.2


Version 0.8.1rc: Minor feature enhancements
(2003 11 18)
	- PSD files supported (using Gimp, which is pretty slow),
	- added an hexadecimal view with ``search'' feature in the property
	  dialog,
	- added ``open with khexedit'',
	- improved the dialog which displays the similar files: checkboxes
	  added,
	- crash fixed (when using arrow keys on an empty directory).
	
	- ERROR: it's not the Czech translation but the Slovak translation !!!


Version 0.8: Minor bug fixed
(2003 10 14)
	- Czech translation added,
	- 'Configure toolbars' added in the context menu,
	- Compilation bugs fixed.


Version 0.8 rc2: Minor bug fixed
(2003 10 07)
	- Compilation bugs fixed.


Version 0.8 rc1: Major bug fixed
(2003 09 11)
        - Bugs fixed,
        - de documention added,
        - man documentation added,
        - New key shorcuts (<ESC> to quit fullscreen, or <space> to view the
	  file picture, ...),
        - Diaporama timer more 'precise',
        - Improve archive support,
        - Improve fullscreen mode (bug fixed in other window manager than kde,
	  always black background),
        - Improve drag'n'drop (available from the icon view also for
	  directories),
        - Can be compiled under MacOS X (ans seems to be for Sparc Solaris 8),
        - ja translation completed,
        - INSTALL file updated,
        - en documentation uptated,
        - Improve the ``crazy multiple selection'' bug.
        - Much more I can't remember :)

        TODO
        - Copying a picture doesn't copies the image info (title, description,
	  ..)

	
Version 0.8 beta 2: Minor feature enhancements
(2003 03 05)
	- Bugs fixed,
	- New translations (sv, nl and the begining of ja),
	- New features (show/hide directory, auto-load first image, ...)


Version 0.8 beta 1: Major feature enhancements
	- Managed album (set of shortcuts to image files, useful to organize and
	  view your image collection)
	- Apply filters (normalize, equalize, emboss,...) on-the-fly,
	- Image comparison works and is fast,
	- JPEG loseless-rotation (using jpegtran),
	- XCF files supported,
	- Makes use of EXIF header to extract image thumbnails,
	- Scan image,
	- Managed the cache,
	- Display directories,
	- Toggle see/hide all files,
	- Choose the default startup directory,
	- Toggle preload next image,
	- Toggle show/hide splash-screen,
	- Open recursively directories,
	- More information on tooltips,
	- A lot of new preferences,
	- Customize toolbar,
	- Toggle show/hide shadow under thumbnails
	- Middle mouse button to open directories,
	- New logo and icons,
	- General speed improved,
	- Spanish translation,
	- Bugs fixed,
	- Much more I can't remember :)
	- ...


Version 0.7: Major feature enhancements
	- Zoom in/out,
	- Fit to screen or not,
	- Lock zoom,
	- Scroll,
	- Flip, mirror and rotate images,
	- Display EXIF data from JPG,
	- Support the alpha layer for the PNG,
	- Rename file series according to a pattern,
	- Is able to display images in grayscale,
	- Choose the background color,
	- Four layouts available,
	- Added bookmark,
	- Print support,
	- Watch for new/deleted files,
	- Historic (go back and forward),
	- Copy/paste files,
	- Copy/Move files/directories,
	- Move to trash, delete, and shred files,
	- Add data (title, location, people,...) for images and directories,
	- Added status-bar displaying the number for items, the
	  name/type/dimension/size/date of the displayed image,
	- "Open with..." added,
	- Configure key bindings,
	- Configure showimg (warning, smooth zoom, show/hide hidden
	  files/directories, ...)
	- Choose time for the slideshow,
	- Choose the icon layout,
	- Sort files according to their name, extension, size, date,
	- 3 sizes of thumbnail,
	- Duplicate window,
	- More conversion formats,
	- Improve drag'n'drop,
	- Italian translation,
	- Bugs fixed,
	- ...


Version 0.6.5:
	- Very much bugs fixed :
	        the scroll bug is fixed
	        'set as Wallpaper' works (!!!!)
		...
	- French, German translation added,
	- added 'Browse with ShowImg' in Konqueror,
	- tiff supported,
	- new errors messages (when rename files, create directories, ...),
	- new icons,
	- image preview in zip files,
	- improve drag'n'drop,

	
Version 0.6: Second release
	Very much bugs fixed
	new features :
		conversion
		drag'n'drop from zip
		create/remove directories
		sortings

		
Version 0.5: Initial Release
        
